> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Build を取得

> 1 スナップショットの状態と失敗理由。code 型 Build 進捗のポーリング用。

**`GET`** `https://api-datahub.octoparse.com/v1/data-apps/{app_id}/builds/{build_id}`

認証：APIキー必須（`Authorization: Bearer <API Key>`）。App 作者のみ。他者は `404`。

1 スナップショットの状態と失敗理由 — code 型 Build 進捗のポーリング窓。

## リクエスト

### パスパラメータ

<ParamField path="app_id" type="string" required>
  App reference.
</ParamField>

<ParamField path="build_id" type="string" required>
  Build id.
</ParamField>

### リクエスト例

```bash theme={null}
curl \
  -H "Authorization: Bearer $OCTOPARSE_API_KEY" \
  "https://api-datahub.octoparse.com/v1/data-apps/carol/reviews-query/builds/bld_a583f440a0ab"
```

## レスポンス

### 200 成功

```json theme={null}
{
  "data": {
    "build_id": "string",
    "build_status": "string",
    "error": "string",
    "content_hash": "",
    "source_revision": 0,
    "created_at": "string"
  }
}
```

フィールドは <a href="/docs/jp/datahub/api/reference/publishing/list-builds">Build 一覧</a> の項目と同じ。

ペイロードは `data` に包まれます。フィールド:

<ResponseField name="build_id" type="string" required>
  —
</ResponseField>

<ResponseField name="build_status" type="string" required>
  —
</ResponseField>

<ResponseField name="error" type="string">
  —
</ResponseField>

<ResponseField name="content_hash" type="string">
  —
</ResponseField>

<ResponseField name="source_revision" type="integer">
  —
</ResponseField>

<ResponseField name="created_at" type="string">
  —
</ResponseField>

### エラー

| HTTP | `code`            | `category`  | Description           |
| ---- | ----------------- | ----------- | --------------------- |
| 401  | `unauthorized`    | `forbidden` | API キー欠落または無効。        |
| 404  | `build-not-found` | `not_found` | Build スナップショットが存在しない。 |

エラー応答は `{"error": {code, category, message, retryable}}` です。<a href="/docs/jp/datahub/api/reference/introduction#errors">エラー</a> を参照。

## クライアントライブラリ

Python / JavaScript SDK はまだこのエンドポイントをラップしていません。REST を直接呼び出してください。
